Bug 1409881 - Screen Flickers with 4.8.15-300.fc25.x86_64 on MacBook PRO [NEEDINFO]
Summary: Screen Flickers with 4.8.15-300.fc25.x86_64 on MacBook PRO
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 17:38 UTC by Ryan McAdams
Modified: 2019-01-09 12:54 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-23 23:00:35 UTC
Type: ---
labbott: needinfo? (ryan)


Attachments (Terms of Use)

Description Ryan McAdams 2017-01-03 17:38:27 UTC
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/55.0.2883.87 Safari/537.36
Build Identifier: 

Fedora 25 has been running fine on my MacBook Pro, however after running the latest updates and picking up kernel 4.8.15-300 the graphics flicker non stop, making the desktop unusable.  If I boot to the previous kernel (4.8.6-300) the issue goes away completely.

LSPCI of VGA:

# lspci | grep VGA
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Venus XT [Radeon HD 8870M / R9 M270X/M370X] (rev 83)


Reproducible: Always

Steps to Reproduce:
1.  Install Fedora 25 on Macbook Pro
2.  dnf update to kernel 4.8.15-300
3.  Reboot
Actual Results:  
Screen flickers non stop

Expected Results:  
Screen should not flicker

Comment 1 Laura Abbott 2017-01-17 01:09:42 UTC
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.

Comment 2 Laura Abbott 2017-02-23 23:00:35 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.